Subject: bug#54814: 29.0.50; symbol visibility in modules may cause emacs crash in nativ-compilation emacs

From: Andrea Corallo <[email-masked]>
Date: Mon, 11 Apr 2022 08:42:48 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 09 Apr 2022 20:30:51 +0200
>> 
>> Well, I dont really know, but maybe having symbols in modules trigger a
>> crash in native compilation emacs? Wouldn't then removing the symbols
>> from the module remove the crash?
>> 
>> I attach a gdb bt below, but I really didnt do anything except load the
>> module, the crash happens immediately.
>> 
>> The crash does happen inside the module, but for me, only in native
>> compilation emacs.
>
> Andrea, any ideas how native-compilation could have triggered these
> crashes?

Not at the moment, so far I'm of your same opinion that this is not
strictly related to native compilation but accidentally triggered by it.

  Andrea